ToolzerHub Docs

Autocomplete a location (v1)

Returns up to 10 US cities, neighborhoods, counties, ZIP codes and addresses matching a partial name. Places carry a location for the search endpoints; addresses carry a property_id for Property details.

1 credit / requestBilled only on success
GET
/v1/realtor/autocomplete

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

query*string

Part of a city, neighborhood, county, ZIP code or street address, such as austin, 78704 or 9001 palmito dr.

Length1 <= length <= 120
curl -X GET "https://example.com/v1/realtor/autocomplete?query=austin" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "query": "austin",    "count": 0,    "results": [      {        "type": "city",        "name": "Austin, TX",        "location": "Austin_TX",        "property_id": null,        "city": "Austin",        "state_code": "TX",        "postal_code": null,        "county": "Travis",        "latitude": 30.2986219,        "longitude": -97.7541339      }    ]  },  "details": {    "reason": "string",    "message": "string"  }}